Bug 191248 - invalid rule '/etc/udev/rules.d/10-wacom.rules:3'
Summary: invalid rule '/etc/udev/rules.d/10-wacom.rules:3'
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: linuxwacom   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Aristeu Rozanski
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 190927
TreeView+ depends on / blocked
 
Reported: 2006-05-10 04:58 UTC by Harald Hoyer
Modified: 2008-02-13 20:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 20:07:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new wacom rules (7.33 KB, text/plain)
2007-03-26 18:50 UTC, Aristeu Rozanski
no flags Details

Description Harald Hoyer 2006-05-10 04:58:19 UTC
May  6 14:02:48 localhost udevd[469]: add_to_rules: invalid KERNEL operation
May  6 14:02:48 localhost udevd[469]: add_to_rules: invalid rule
'/etc/udev/rules.d/10-wacom.rules:3'

Please change "KERNEL=" to "KERNEL=="

Comment 1 Kristian Høgsberg 2006-05-11 16:37:06 UTC
Done, thanks.

Comment 2 Harald Hoyer 2006-05-18 14:46:05 UTC
Oh, another one... %e is deprecated and should not be used.

10-wacom.rules:KERNEL=="event*", SYSFS{idVendor}="056a", NAME="input/%k",
SYMLINK="input/wacom%e"


Comment 3 Kristian Høgsberg 2006-05-19 16:38:23 UTC
What's the suggested replacement?

Comment 4 Harald Hoyer 2006-05-22 11:18:17 UTC
hmm... for cdroms I have %k...
so "input/wacom-%k" would produce something unique...

Comment 5 Aristeu Rozanski 2007-03-26 18:50:12 UTC
Created attachment 150931 [details]
new wacom rules

Please test these rules (replace 10-wacom.rules and 60-wacom.rules only with
the
provided). It'll create /dev/input/wacom, /dev/input/wacom-tablets/<model> and
/dev/input/wacom-tablets/<model>-id.
The last symlink is useful when you have more than one tablet of the same
model.
This way you may bind it to a specific usb port.

Comment 6 Aristeu Rozanski 2007-03-26 18:51:06 UTC
Please test it and let me know how it goes


Comment 7 A. Lok 2007-03-31 19:36:58 UTC
I just tried your '60-wacom.rules' on Fedora 7t3. It works for my Wacom Graphire 4.:

[arnout@sharptooth input]$ ls -l
...
lrwxrwxrwx 1 root root      6 2007-03-31 21:22 wacom -> event4
drwxr-xr-x 2 root root     80 2007-03-31 21:22 wacom-tablets

[arnout@sharptooth wacom-tablets]$ ls -l
lrwxrwxrwx 1 root root 9 2007-03-31 21:22 graphire2-4x5 -> ../event4
lrwxrwxrwx 1 root root 9 2007-03-31 21:22 graphire2-4x5-3-1 -> ../event4


If this rule would replace the rule in the current linux-wacom-package, bug
#196923 can be closed too.


Comment 8 Fedora Update System 2007-07-25 05:08:36 UTC
linuxwacom-0.7.6.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Aristeu Rozanski 2007-08-01 17:32:40 UTC
I've fixed the rules again, the update should be in soon.
Please test and let me know how it goes


Comment 10 Aristeu Rozanski 2008-02-13 20:07:13 UTC
I'm closing this one. if the problem persists, please feel free to reopen it.



Note You need to log in before you can comment on or make changes to this bug.